package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PointDestroyReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:41
 */
@Data
public class Nft027PointDestroyResp implements Serializable {
    /**
     * 任务id
     */
    private String taskId;

    private static final Nft027PointDestroyResp obj = new Nft027PointDestroyResp();
    public static Nft027PointDestroyResp getNew() {
        try {
            return (Nft027PointDestroyResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft027PointDestroyResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
